Index: pykota/trunk/pykota/commandline.py
===================================================================
--- pykota/trunk/pykota/commandline.py (revision 3411)
+++ pykota/trunk/pykota/commandline.py (revision 3413)
@@ -8,10 +8,10 @@
 # the Free Software Foundation, either version 3 of the License, or
 # (at your option) any later version.
-# 
+#
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
@@ -36,8 +36,8 @@
         loginvalidparam(opt, value, option.default)
         setattr(optionparser.values, option.dest, option.default)
-    else :    
-        setattr(optionparser.values, option.dest, value)
-    
-def checkandset_savetoner(option, opt, value, optionparser) :    
+    else :
+        setattr(optionparser.values, option.dest, value)
+
+def checkandset_savetoner(option, opt, value, optionparser) :
     """Checks and sets the save toner value."""
     if (value < 0.0) or (value > 99.0) :
@@ -45,8 +45,8 @@
                         _("Allowed range is (0..99)"))
         setattr(optionparser.values, option.dest, option.default)
-    else :    
-        setattr(optionparser.values, option.dest, value)
-        
-def checkandset_positiveint(option, opt, value, optionparser) :    
+    else :
+        setattr(optionparser.values, option.dest, value)
+
+def checkandset_positiveint(option, opt, value, optionparser) :
     """Checks if an option argument is a positive integer and validates the option if it is the case."""
     if not (value >= 0) :
@@ -54,8 +54,8 @@
                         _("Value must be positive"))
         setattr(optionparser.values, option.dest, option.default)
-    else :    
-        setattr(optionparser.values, option.dest, value)
-        
-def checkandset_positivefloat(option, opt, value, optionparser) :    
+    else :
+        setattr(optionparser.values, option.dest, value)
+
+def checkandset_positivefloat(option, opt, value, optionparser) :
     """Checks if an option argument is a positive float and validates the option if it is the case."""
     if not (value >= 0.0) :
@@ -63,8 +63,8 @@
                         _("Value must be positive"))
         setattr(optionparser.values, option.dest, option.default)
-    else :    
-        setattr(optionparser.values, option.dest, value)
-
-def checkandset_percent(option, opt, value, optionparser) :    
+    else :
+        setattr(optionparser.values, option.dest, value)
+
+def checkandset_percent(option, opt, value, optionparser) :
     """Checks if an option argument is comprised between 0.0 included and 100.0 not included, and validates the option if it is the case."""
     if not (0.0 <= value < 100.0) :
@@ -72,8 +72,8 @@
                         _("Value must be comprised between 0.0 included and 100.0 not included"))
         setattr(optionparser.values, option.dest, option.default)
-    else :    
-        setattr(optionparser.values, option.dest, value)
-
-def load_arguments_file(option, opt, value, optionparser) :    
+    else :
+        setattr(optionparser.values, option.dest, value)
+
+def load_arguments_file(option, opt, value, optionparser) :
     """Loads arguments from a file, one per line."""
     setattr(optionparser.values, option.dest, value)
@@ -89,7 +89,7 @@
             if argi.startswith('"') and argi.endswith('"') :
                 arguments[i] = argi[1:-1]
-        arguments.reverse()        
+        arguments.reverse()
         for arg in arguments :
-            optionparser.rargs.insert(0, arg)        
+            optionparser.rargs.insert(0, arg)
 
 class PyKotaOptionParser(optparse.OptionParser) :
@@ -97,5 +97,5 @@
     This class to define additional methods, and different help
     formatting, from the traditional OptionParser.
-    """   
+    """
     def __init__(self, *args, **kwargs) :
         """
@@ -110,5 +110,5 @@
         self.remove_version_and_help()
         self.add_generic_options()
-        
+
     def format_help(self, formatter=None) :
         """
@@ -124,7 +124,7 @@
         result.append(self.format_copyright())
         return "".join(result)
-            
-    #    
-    # Below are PyKota specific additions    
+
+    #
+    # Below are PyKota specific additions
     #
     def format_filterexpressions(self, formatter=None) :
@@ -132,5 +132,5 @@
         if formatter is None :
             formatter = self.formatter
-        result = []    
+        result = []
         if self.filterexpressions :
             result.append(formatter.format_heading(_("filtering expressions")))
@@ -139,8 +139,8 @@
             result.append("\n")
             result.append(formatter.format_heading(_("allowed keys for now")))
-            formatter.indent() 
+            formatter.indent()
             for (expression, explanation) in self.filterexpressions :
                 result.append(formatter.format_description("%s : %s" % (expression, explanation)))
-            formatter.dedent()    
+            formatter.dedent()
             result.append("\n")
             result.append(formatter.format_heading(_("formatting of dates with the 'start' and 'end' filtering keys")))
@@ -156,10 +156,10 @@
             result.append(formatter.format_description(_("tomorrow[+-N] : tomorrow more or less N days (e.g. : tomorrow-15)")))
             result.append(formatter.format_description(_("now[+-N] : now more or less N days (e.g. now-15)")))
-            formatter.dedent()    
+            formatter.dedent()
             result.append("\n")
             result.append(formatter.format_description(_("'now' and 'today' are not exactly the same since 'today' represents the first or last second of the day depending on if it's used in a 'start=' or 'end=' date expression.")))
             result.append("\n")
         return "".join(result)
-        
+
     def format_examples(self, formatter=None) :
         """Formats examples our way."""
@@ -174,11 +174,11 @@
                 result.append(formatter.format_description(self.expand_prog_name(explanation)) + "\n")
             formatter.dedent()
-        return "".join(result)    
-        
+        return "".join(result)
+
     def format_copyright(self, formatter=None) :
         """Formats copyright message our way."""
         if formatter is None :
             formatter = self.formatter
-        result = []    
+        result = []
         result.append(formatter.format_heading(_("licensing terms")))
         formatter.indent()
@@ -188,24 +188,24 @@
         for part in version.__gplblurb__.split("\n\n") :
             result.append(formatter.format_description(part) + "\n")
-        formatter.dedent()    
-        return "".join(result)
-        
-    def add_filterexpression(self, expression, doc) :    
+        formatter.dedent()
+        return "".join(result)
+
+    def add_filterexpression(self, expression, doc) :
         """Adds a filtering expression."""
         self.filterexpressions.append((expression, doc))
-        
-    def add_example(self, command, doc) :    
+
+    def add_example(self, command, doc) :
         """Adds an usage example."""
         self.examples.append(("%prog " + command, doc))
-        
-    def remove_version_and_help(self) :   
+
+    def remove_version_and_help(self) :
         """Removes the default definitions for options version and help."""
         for o in ("-h", "-help", "--help", "-v", "-version", "--version") :
             try :
                 self.remove_option(o)
-            except ValueError :     
+            except ValueError :
                 pass
-                
-    def add_generic_options(self) :    
+
+    def add_generic_options(self) :
         """Adds options which are common to all PyKota command line tools."""
         self.add_option("-h", "--help",
